@font-face {
  font-family: gothic_bold;
  src: url("/assets/fonts/GOTHICB.TTF");
}

.page {
  text-align: center;
  width: 100%;
  height: 100%;
  display: table;
  background: white;
  overflow: hidden;
}

.middle {
  display: table-cell;
  vertical-align: middle;
  position: relative;
}

.bg-ani {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  video {
    height: 100%;
    width: 178vh; /* 100 * 16 / 9 */
    min-width: 100%;
    min-height: 56.25vw;
    position: absolute;
    left: 50%;
    margin-left: -89vh;
  }
}

@keyframes ani_username {
  0% {
    margin-top: -180px;
    transform: scale(0.5);
  }
  75% {
    margin-top: 120px;
    transform: scale(1.1);
  }
}

@keyframes ani_score {
  0% {
    left: -100%;
    opacity: 0;
    -webkit-transform: rotate(-360deg);
    transform: rotate(-360deg);
  }
  90% {
    opacity: 30%;
  }
  100% {
    left: 50%;
    opacity: 100%;
  }
}

#score {
  .bg-ani {

  }
  .info {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    .wrapper {
      position: absolute;
      width: 100%;
      height: 100%;
      .username-wrapper {
        position: absolute;
        top: 80px;
        left: 0;
        right: 0;
        padding: 0 100px;
        .username {
          position: relative;
          font-family: gothic_bold;
          max-width: 1200px;
          margin: 0 auto;
          font-size: 90px;
          line-height: 160px;
          background-color: rgba(14, 79, 153, 0.8);
          border: 7px solid #ffffff;
          border-radius: 20px;
          box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2);
          color: #ffffff;
          animation-name: ani_username;
          animation-duration: 0.5s;
          animation-timing-function: ease;
        }
      }
      .score {
        display: inline-block;
        position: absolute;
        top: 50%;
        left: 50%;
        margin-left: -685px;
        margin-top: -341px;
        width: 1400px;
        height: 682px;
        font-size: 170px;
        line-height: 1;
        background-image: url("/assets/img/score-bg-02.png");
        background-size: cover;
        background-repeat: no-repeat;
        animation-name: ani_score;
        animation-delay: 0.2s;
        animation-duration: 0.3s;
        animation-timing-function: ease;
        animation-fill-mode: forwards;
        opacity: 0;
        .title {
          font-size: 60px;
          text-transform: uppercase;
          margin-bottom: 15px;
          &.no-live {
            font-size: 100px;
          }
        }
        .card {
          font-family: gothic_bold;
          margin-left: 418px;
          margin-top: 62px;
          margin-bottom: 98px;
          width: 874px;
          height: calc(100% - 160px);
          text-align: center;
          display: table;
        }
        .card-inner {
          display: table-cell;
          vertical-align: middle;
          .points {

            width: 100%;
            height: 200px;
            sup {
              font-size: 70px;
            }
            div.points-wrapper {
              position: relative;
              overflow-wrap: anywhere;
            }
          }
        }
      }
    }
  }
}

